[med-svn] r11868 - trunk/packages/python-biom-format/trunk/debian

Andreas Tille tille at alioth.debian.org
Mon Jul 23 07:34:55 UTC 2012


Author: tille
Date: 2012-07-23 07:34:54 +0000 (Mon, 23 Jul 2012)
New Revision: 11868

Added:
   trunk/packages/python-biom-format/trunk/debian/get-orig-source
Modified:
   trunk/packages/python-biom-format/trunk/debian/rules
   trunk/packages/python-biom-format/trunk/debian/watch
Log:
Those ._* MAC OSX files create severe trouble when building - removing from upstream tarball in get-orig-source


Added: trunk/packages/python-biom-format/trunk/debian/get-orig-source
===================================================================
--- trunk/packages/python-biom-format/trunk/debian/get-orig-source	                        (rev 0)
+++ trunk/packages/python-biom-format/trunk/debian/get-orig-source	2012-07-23 07:34:54 UTC (rev 11868)
@@ -0,0 +1,27 @@
+#!/bin/sh
+# get source for beast-mcmc from SVN because there is no source tarball distribution
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+UNAME=`echo $NAME | sed 's/^python-//'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+    uscan --force-download
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+TARDIR=${UNAME}-${VERSION}
+
+mkdir -p ../tarballs
+cd ../tarballs
+tar -xaf ../${TARDIR}.tgz
+find . -name "._*" -type f -delete
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.gz "${TARDIR}"
+rm -rf "${TARDIR}"


Property changes on: trunk/packages/python-biom-format/trunk/debian/get-orig-source
___________________________________________________________________
Added: svn:executable
   + *

Modified: trunk/packages/python-biom-format/trunk/debian/rules
===================================================================
--- trunk/packages/python-biom-format/trunk/debian/rules	2012-07-23 06:21:47 UTC (rev 11867)
+++ trunk/packages/python-biom-format/trunk/debian/rules	2012-07-23 07:34:54 UTC (rev 11868)
@@ -4,3 +4,6 @@
 
 %:
 	dh $@ --with python2
+
+get-orig-source:
+	. debian/get-orig-source

Modified: trunk/packages/python-biom-format/trunk/debian/watch
===================================================================
--- trunk/packages/python-biom-format/trunk/debian/watch	2012-07-23 06:21:47 UTC (rev 11867)
+++ trunk/packages/python-biom-format/trunk/debian/watch	2012-07-23 07:34:54 UTC (rev 11868)
@@ -1,2 +1,3 @@
 version=3
-http://biom-format.org/ https://github.com/downloads/biom-format/biom-format/biom-format-([\d.]+)\.tgz
+http://biom-format.org/ https://github.com/downloads/biom-format/biom-format/biom-format-([\d.]+)\.tgz \
+   debian debian/get-orig-source




More information about the debian-med-commit mailing list